%define modname swish
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B08_%{modname}.ini

Summary:	Swish-e bindings
Name:		php-%{modname}
Version:	0.4.0
Release:	%mkrel 5
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/swish/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	swish-e-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This extension provides bindings to the Swish-e API.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README swish.php package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}



%changelog
* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-5mdv2010.1
+ Revision: 514664
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-4mdv2010.1
+ Revision: 485489
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-3mdv2010.1
+ Revision: 468260
- rebuilt against php-5.3.1

* Wed Oct 07 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-2mdv2010.0
+ Revision: 455463
- rebuild

* Tue Oct 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-1mdv2010.0
+ Revision: 454759
- import php-swish


* Tue Oct 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-1mdv2010.0
- initial Mandriva package
